中危 thunderbird 安全漏洞 (CVE-2023-4578)

CVE编号

CVE-2023-4578

利用情况

暂无

补丁情况

官方补丁

披露时间

2023-08-29
漏洞描述
When calling `JS::CheckRegExpSyntax` a Syntax Error could have been set which would end in calling `convertToRuntimeErrorAndClear`. A path in the function could attempt to allocate memory when none is available which would have caused a newly created Out of Memory exception to be mishandled as a Syntax Error. This vulnerability affects Firefox < 117, Firefox ESR < 115.2, and Thunderbird < 115.2.


解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 mozilla firefox * Up to
(excluding)
117.0
运行在以下环境
应用 mozilla firefox_esr * Up to
(excluding)
115.2
运行在以下环境
应用 mozilla thunderbird * Up to
(excluding)
115.2
运行在以下环境
系统 alma_linux_8 firefox * Up to
(excluding)
102.15.0-1.el8_8.alma
运行在以下环境
系统 alma_linux_9 firefox * Up to
(excluding)
102.15.0-1.el9_2.alma
运行在以下环境
系统 alpine_3.18 firefox-esr * Up to
(excluding)
115.2.0-r0
运行在以下环境
系统 alpine_3.19 firefox-esr * Up to
(excluding)
115.2.0-r0
运行在以下环境
系统 anolis_os_7 firefox * Up to
(excluding)
102.15.0-1.0.1
运行在以下环境
系统 anolis_os_8 firefox * Up to
(excluding)
102.15.0-1.0.1
运行在以下环境
系统 centos_7 firefox * Up to
(excluding)
102.15.0-1.el7
运行在以下环境
系统 debian_10 firefox-esr * Up to
(excluding)
115.7.0esr-1~deb10u1
运行在以下环境
系统 debian_11 firefox-esr * Up to
(excluding)
115.7.0esr-1~deb11u1
运行在以下环境
系统 debian_12 firefox-esr * Up to
(excluding)
115.7.0esr-1~deb12u1
运行在以下环境
系统 kylinos_aarch64_V10 firefox * Up to
(excluding)
102.15.0-1.el7_9.ns7.01
运行在以下环境
系统 kylinos_x86_64_V10 firefox * Up to
(excluding)
102.15.0-1.el7_9.ns7.01
运行在以下环境
系统 opensuse_Leap_15.4 MozillaFirefox * Up to
(excluding)
115.2.0-150200.152.102.1
运行在以下环境
系统 opensuse_Leap_15.5 MozillaFirefox * Up to
(excluding)
115.2.0-150200.152.102.1
运行在以下环境
系统 oracle_7 firefox * Up to
(excluding)
102.15.0-1.0.1.el7_9
运行在以下环境
系统 oracle_8 firefox * Up to
(excluding)
102.15.0-1.0.1.el8_8
运行在以下环境
系统 oracle_9 firefox * Up to
(excluding)
102.15.0-1.0.1.el9_2
运行在以下环境
系统 redhat_7 firefox * Up to
(excluding)
102.15.0-1.el7_9
运行在以下环境
系统 redhat_8 firefox * Up to
(excluding)
102.15.0-1.el8_8
运行在以下环境
系统 redhat_9 firefox * Up to
(excluding)
102.15.0-1.el9_2
运行在以下环境
系统 rocky_linux_8 firefox * Up to
(excluding)
102.15.0-1.el8_8
运行在以下环境
系统 suse_12_SP5 MozillaFirefox * Up to
(excluding)
115.2.0-112.176.1
运行在以下环境
系统 ubuntu_20.04 firefox * Up to
(excluding)
115.3.1+build1-0ubuntu0.20.04.1
运行在以下环境
系统 ubuntu_22.04 thunderbird * Up to
(excluding)
115.3.1+build1-0ubuntu0.22.04.2
阿里云评分
6.1
  • 攻击路径
    本地
  • 攻击复杂度
    困难
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-770 不加限制或调节的资源分配
阿里云安全产品覆盖情况